Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class StyledEditorKit.ForegroundAction

    java.lang.Object
      javax.swing.AbstractAction
          javax.swing.text.TextAction
              javax.swing.text.StyledEditorKit.StyledTextAction
                  javax.swing.text.StyledEditorKit.ForegroundAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  StyledEditorKit

    public static class StyledEditorKit.ForegroundAction

extends StyledEditorKit.StyledTextAction

An action to set foreground color. This sets the `StyleConstants.Foreground` attribute for the currently selected range of the target JEditorPane. This is done by calling `StyledDocument.setCharacterAttributes` on the styled document associated with the target JEditorPane.

If the target text component is specified as the source of the ActionEvent and there is a command string, the command string will be interpreted as the foreground color. It will be interpreted by called `Color.decode`, and should therefore be legal input for that method.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`StyledEditorKit.ForegroundAction(String nm, Color fg)` Creates a new ForegroundAction.

Method Summary
`void` | `actionPerformed(ActionEvent e)` Sets the foreground color.

Methods inherited from class javax.swing.text.StyledEditorKit.StyledTextAction
`getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

Methods inherited from class javax.swing.text.TextAction
`augmentList, getFocusedComponent, getTextComponent`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyledEditorKit.ForegroundAction

    public StyledEditorKit.ForegroundAction(String nm,
                                            Color fg)

  Creates a new ForegroundAction.

  Parameters:
    `nm` - the action name
    `fg` - the foreground color

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Sets the foreground color.

  Parameters:
    `e` - the action event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2010, Oracle and/or its affiliates. All rights reserved.